Help - Search - Members - Calendar
Full Version: Some Questions About Native Build Environment
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
jcabrer
I guess this question is directed a sash. A couple of times now, I've seen an error pop up when compiling where gcc reports a file not found. Usually it is looking for a file in /home/sash/Work/Corgi/pdaXrom-builder..........

I noticed the the logical link wx-config points to these directories.

Also there are refs to a /opt/cross/arm/3.4.4........ Notice "cross" as in cross compile. This would not be on the native system.

These are just bugs, right?

Is there a quick fix?
sds
I would also very much like native compiling. And I have also a question for Sash and/or the other people who compile natively.

Sash, the current
http://212.10.30.205/rc11/Zaurus-7x0-860/zgcc-3.4.4.img
requires libstdc++.so.5
but the distribution RC11 and many applications (qpkg etc) would run OK only with
CODE
[lax:0:mnt/card/ipks> locate libstdc
/usr/lib/libstdc++.so.6
/usr/lib/libstdc++.so.6.0.3
/usr/lib/libstdc++.so
[lax:0:mnt/card/ipks>  

The 6.0 is also what is present in the RC11 feed.

On top of that, the packages for both 5.0 and 6.0 are called the same
libstdcxx_5.0.5_armv5tel.ipk

Could you please clean-up the confusion?
Many thanks for your great work.
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.